<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:cb3913a5-0da8-4fec-a3e2-57d378495e12,g:81361cb4-8483-4087-b161-57217cba7f3a-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:savencia="http://www.savencia.com/20221231" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.savencia.com/20221231">
  <xs:import namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-fr.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-fr.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="savencia-2022-12-31_lab-fr.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="savencia-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="savencia-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="savencia-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="tatdursultatglobalrsultatnetchargesparnatureStatement" roleURI="http://www.savencia.com/role/tatdursultatglobalrsultatnetchargesparnatureStatement">
        <link:definition>[0000001] État du résultat global, résultat net, charges par nature (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdursultatglobalrsultatnetchargesparnatureStatement_1" roleURI="http://www.savencia.com/role/tatdursultatglobalrsultatnetchargesparnatureStatement_1">
        <link:definition>[0000001] État du résultat global, résultat net, charges par nature (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdursultatglobalcomposantesdesautreslmentsdursultatglobalprsentesnettesdimptStatement" roleURI="http://www.savencia.com/role/tatdursultatglobalcomposantesdesautreslmentsdursultatglobalprsentesnettesdimptStatement">
        <link:definition>[0000002] État du résultat global, composantes des autres éléments du résultat global présentées nettes d’impôt (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdursultatglobalcomposantesdesautreslmentsdursultatglobalprsentesnettesdimptStatement_1" roleURI="http://www.savencia.com/role/tatdursultatglobalcomposantesdesautreslmentsdursultatglobalprsentesnettesdimptStatement_1">
        <link:definition>[0000002] État du résultat global, composantes des autres éléments du résultat global présentées nettes d’impôt (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdelasituationfinancirecourantnoncourantStatement" roleURI="http://www.savencia.com/role/tatdelasituationfinancirecourantnoncourantStatement">
        <link:definition>[0000003] État de la situation financière, courant/non courant (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdesfluxdetrsoreriemthodeindirecteStatement" roleURI="http://www.savencia.com/role/tatdesfluxdetrsoreriemthodeindirecteStatement">
        <link:definition>[0000004] État des flux de trésorerie, méthode indirecte (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdesvariationsdescapitauxpropresStatement" roleURI="http://www.savencia.com/role/tatdesvariationsdescapitauxpropresStatement">
        <link:definition>[0000005] État des variations des capitaux propres (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="tatdursultatglobalrsultatnetchargesparnatureDetails" roleURI="http://www.savencia.com/role/tatdursultatglobalrsultatnetchargesparnatureDetails">
        <link:definition>[0000006] État du résultat global, résultat net, charges par nature (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BalisesquidoiventtreappliquessilesinformationscorrespondantessontprsentesdansunrapportStatement" roleURI="http://www.savencia.com/role/BalisesquidoiventtreappliquessilesinformationscorrespondantessontprsentesdansunrapportStatement">
        <link:definition>[0000007] Balises qui doivent être appliquées si les informations correspondantes sont présentes dans un rapport (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Balisesquidoiventtreappliquessilesinformationscorrespondantessontprsentesdansunrapport" roleURI="http://www.savencia.com/role/Balisesquidoiventtreappliquessilesinformationscorrespondantessontprsentesdansunrapport">
        <link:definition>[0000008] Balises qui doivent être appliquées si les informations correspondantes sont présentes dans un rapport</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.savencia.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="savencia_AutresElementsDuResultatGlobalNetsDImpotCoutDeCouverture" abstract="false" name="AutresElementsDuResultatGlobalNetsDImpotCoutDeCouverture" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteParticipationDansLesCoEntreprisesEtLesEntreprisesAssocieesAbstract" abstract="true" name="NoteParticipationDansLesCoEntreprisesEtLesEntreprisesAssocieesAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteFaitsSignificatifsDeLaPeriodeAbstract" abstract="true" name="NoteFaitsSignificatifsDeLaPeriodeAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_ChargesFinancieresNettes" abstract="false" name="ChargesFinancieresNettes" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteFraisEtAvantagesDuPersonnelAbstract" abstract="true" name="NoteFraisEtAvantagesDuPersonnelAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteBaseDePreparationEtPrincipesComptablesGenerauxAbstract" abstract="true" name="NoteBaseDePreparationEtPrincipesComptablesGenerauxAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_AugmentationDeCapitalRecueDesMinoritaires" abstract="false" name="AugmentationDeCapitalRecueDesMinoritaires" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_PositionMonetaireHp" abstract="false" name="PositionMonetaireHp" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_CapitalApporteMember" abstract="true" name="CapitalApporteMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:domainItemType"/>
  <xs:element id="savencia_EcartsDeConversionHorsHyperinflation" abstract="false" name="EcartsDeConversionHorsHyperinflation" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteTransactionsAvecLesPartiesLieesAbstract" abstract="true" name="NoteTransactionsAvecLesPartiesLieesAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteEvenementsPostClotureAbstract" abstract="true" name="NoteEvenementsPostClotureAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteListeDesPrincipalesSocietesIntegreesDansLesEtatsFinanciersAbstract" abstract="true" name="NoteListeDesPrincipalesSocietesIntegreesDansLesEtatsFinanciersAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_AutresComposantsRecyclablesDuResultatGlobal" abstract="false" name="AutresComposantsRecyclablesDuResultatGlobal" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_AugmentationDiminutionOptionsDeVenteAccordeesAuxParticipationsNeConferantPasLeControle" abstract="false" name="AugmentationDiminutionOptionsDeVenteAccordeesAuxParticipationsNeConferantPasLeControle" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteResultatSurSituationMonetaireAbstract" abstract="true" name="NoteResultatSurSituationMonetaireAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_ImpairmentsProvisionNonCourantesEtAutresActifs" abstract="false" name="ImpairmentsProvisionNonCourantesEtAutresActifs" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_AutresElementsDuResultatGlobalNetsDImpotImpactHyperinflation" abstract="false" name="AutresElementsDuResultatGlobalNetsDImpotImpactHyperinflation" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_AjustementsDesDepreciationsAmortissementsEtProvisionsCourantes" abstract="false" name="AjustementsDesDepreciationsAmortissementsEtProvisionsCourantes" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteCapitauxPropresAbstract" abstract="true" name="NoteCapitauxPropresAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_DescriptionDeLaMethodeComptableConcernantLesPassifsOptionsDeVenteSurDesParticipationsNeDonnantPasLeControleTextBlock" abstract="false" name="DescriptionDeLaMethodeComptableConcernantLesPassifsOptionsDeVenteSurDesParticipationsNeDonnantPasLeControleTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="savencia_InformationRelativesALaCriseUkraineRussieTextBlock" abstract="false" name="InformationRelativesALaCriseUkraineRussieTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="savencia_ResultatDExploitationDesActivitesOrdinaires" abstract="false" name="ResultatDExploitationDesActivitesOrdinaires" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteElementsNonCourantsActiviteOperationnelleAbstract" abstract="true" name="NoteElementsNonCourantsActiviteOperationnelleAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_AutresChargesEtProduitsProvenantDesActivitesOrdinaires" abstract="false" name="AutresChargesEtProduitsProvenantDesActivitesOrdinaires" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_DepreciationsUGTSodilac" abstract="false" name="DepreciationsUGTSodilac" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_InformationsRelativesALInondationCormanTextBlock" abstract="false" name="InformationsRelativesALInondationCormanTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="savencia_ProduitsResultantDeCessionsDimmobilisationsCorporellesEtIncorporellesHorsGoodwill" abstract="false" name="ProduitsResultantDeCessionsDimmobilisationsCorporellesEtIncorporellesHorsGoodwill" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_AcquisitionsDimmobilisationsCorporellesEtIncorporellesHorsGoodwill" abstract="false" name="AcquisitionsDimmobilisationsCorporellesEtIncorporellesHorsGoodwill" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_AutresChargesEtProduitsProvenantDesActivitesNonOrdinaires" abstract="false" name="AutresChargesEtProduitsProvenantDesActivitesNonOrdinaires" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_VariationsDesAutresActifsFinanciersCourants" abstract="false" name="VariationsDesAutresActifsFinanciersCourants" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_DepreciationsUGTRussie" abstract="false" name="DepreciationsUGTRussie" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_InformationsRelativesAuxAchatsEtVariationsDeStocksTextBlock" abstract="false" name="InformationsRelativesAuxAchatsEtVariationsDeStocksTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="savencia_NoteImmobilisationsIncorporellesEtCorporellesAbstract" abstract="true" name="NoteImmobilisationsIncorporellesEtCorporellesAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteAutresPassifsNonCourantsAbstract" abstract="true" name="NoteAutresPassifsNonCourantsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteElementsCourantsActiviteOperationnelleAbstract" abstract="true" name="NoteElementsCourantsActiviteOperationnelleAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteInformationSectorielleAbstract" abstract="true" name="NoteInformationSectorielleAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteImpotsSurLesResultatsAbstract" abstract="true" name="NoteImpotsSurLesResultatsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_NoteEngagementsHorsBilanAbstract" abstract="true" name="NoteEngagementsHorsBilanAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_DotationsEtReprisesDesAmortissementsEtProvisionsProvenantDesActivitesOrdniaires" abstract="false" name="DotationsEtReprisesDesAmortissementsEtProvisionsProvenantDesActivitesOrdniaires" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_DescriptionDeLaMethodeComptableConcernantLesAchatsEtVariationsDeStocksTextBlock" abstract="false" name="DescriptionDeLaMethodeComptableConcernantLesAchatsEtVariationsDeStocksTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
  <xs:element id="savencia_NoteAutresProvisionsEtPassifsEventuelsAbstract" abstract="true" name="NoteAutresProvisionsEtPassifsEventuelsAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_CapitalApporte" abstract="false" name="CapitalApporte" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_AchatsEtVariationsDeStocks" abstract="false" name="AchatsEtVariationsDeStocks" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="savencia_NoteFinancementsEtInstrumentsFinanciersAbstract" abstract="true" name="NoteFinancementsEtInstrumentsFinanciersAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="savencia_InformationsRelativesAuxPassifsOptionsDeVenteSurDesParticipationsNeDonnantPasLeControleTextBlock" abstract="false" name="InformationsRelativesAuxPassifsOptionsDeVenteSurDesParticipationsNeDonnantPasLeControleTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType"/>
</xs:schema>
